(function($) {
	'use strict'

//  clients

	$( window ).on( "load", function() {
 
		 
		$('.cl_logo_slider').each( function() {
			var $carousel = $(this);
			$carousel.owlCarousel({
				dots : $carousel.data("dots"),
				loop : $carousel.data("loop"),
				margin: $carousel.data("margin"),
				autoHeight: true,
				rewind: $carousel.data("rewind"),
				autoplay : $carousel.data("autoplay"),
				nav: $carousel.data("nav"),
				navText: ['<i class="ion-ios-arrow-back"></i>', '<i class="ion-ios-arrow-forward"></i>'],
				autoplayTimeout : $carousel.data("autoplay-timeout"),
				responsive: {
					 0: {
						 items: 2,
					 },
					 380: {
						 items: 3,
					 },
					 600: {
						 items: 4,
					 },
					 1000: {
						 items: 5,
					 },
					 1199: {
						 items: 6
					 }
				}
			});
		});
	});



// Feature



	$(".background_bg").each(function() {
		var attr = $(this).attr('data-img-src');
		if (typeof attr !== typeof undefined && attr !== false) {
			$(this).css('background', 'url(' + attr + ') center center/cover');
		}
	});

	

// portfolio

    var containerEl = document.querySelector('.filter-items');
    var mixer = mixitup(containerEl);


    $('a[data-rel^=lightcase]').lightcase();

   


// testimonials

    $(document).on("ready", function () {
        var testimonialsContent = $('#content', '#testimonial-2');
        testimonialsContent.flickity({
            wrapAround: true,
            pageDots: true,
            prevNextButtons: false,
            autoPlay: 5000
        });
    });





    

    $(document).ready(function(){


        initKenburns();
    

    });


    function initKenburns () {
        
        var hasKenburns = $('.mhero')[0];

        if (hasKenburns) {
            var w_height = $(window).height();
            var w_width = $(window).width();

            $('.cnv').attr('width', w_width);
            $('.cnv').attr('height', w_height);
            $('.cnv').kenburns({
                images: ['images/general/discuss2_996_1200x800.jpg', 'images/general/discuss_995_1200x800.jpg', 'images/general/discuss2_996_1200x800.jpg',
                        ],
                frames_per_second: 30,
                display_time: 5000,
                fade_time: 1000,
                zoom: 1.1,
                background_color:'#000000'
            });
        }

    } 








	


    jQuery(document).ready(function(){
       

        $('.mcounter').counterUp({
            delay: 10,
            time: 2000
        });
  
  
          });


	
function sendContact() {
    var valid;  
    valid = validateContact();
    if(valid) {
        jQuery.ajax({
        url: "mail.php",
        data:'name='+$("#name").val()+'&email='+$("#email").val()+'&subject='+$("#subject").val()+'&message='+$(message).val(),
        type: "POST",
        success:function(data){
        $("#status").html(data);
        },
        error:function (){}
        });
    }
}

function validateContact() {
    var valid = true;   
    $(".demoInputBox").css('background-color','');
    $(".err").html('');
    
    if(!$("#name").val()) {
        $("#name-info").html("(required)");
        $("#name").css('background-color','#FFFFDF');
        valid = false;
    }
    if(!$("#email").val()) {
        $("#email-info").html("(required)");
        $("#email").css('background-color','#FFFFDF');
        valid = false;
    }
    if(!$("#email").val().match(/^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/)) {
        $("#email-info").html("(invalid)");
        $("#email").css('background-color','#FFFFDF');
        valid = false;
    }
    if(!$("#subject").val()) {
        $("#subject-info").html("(required)");
        $("#subject").css('background-color','#FFFFDF');
        valid = false;
    }
    if(!$("#message").val()) {
        $("#message-info").html("(required)");
        $("#message").css('background-color','#FFFFDF');
        valid = false;
    }
    
    return valid;
}
})(jQuery);